Results 1 to 7 of 7

Thread: kget error in plasma 5.7.95

  1. #1
    Join Date
    Jun 2008
    Location
    NZ
    Posts
    1,546

    Default kget error in plasma 5.7.95

    trying to run kget in plasma 5.7.95 (kget from openSUSE update 15.12.3-17.1
    if starting from menu it immediately crashes and plasma offer to restart (which does nothing).
    From command line get

    Code:
    kget
    KGlobal::locale(): Warning your global KLocale is being recreated with a valid main component instead of a fake component, this usually means you tried to call i18n related functions before your main component was created. You should not do that since it most likely will not work
    QWidget::insertAction: Attempt to insert null action
    QWidget::insertAction: Attempt to insert null action
    anybody else see this?
    Any fixes?

    Many thanks
    Mark F.
    openSUSE Leap 15.1 / Plasma 5.12



  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,655
    Blog Entries
    14

    Default Re: kget error in plasma 5.7.95

    Your KDE version indicates that you added unstable repos. Is kget from that same repo ?
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3
    Join Date
    Jun 2008
    Location
    NZ
    Posts
    1,546

    Default Re: kget error in plasma 5.7.95

    Quote Originally Posted by Knurpht View Post
    Your KDE version indicates that you added unstable repos. Is kget from that same repo ?
    no - as per my first post, kget is from the OSS update repo. There is no kget in the plasma5 repo.
    However, I noticed that there is a much newer version in the KDE Applications repo so I have tried installing that (16.08.1-1.1)
    However, same error message persists.
    Mark F.
    openSUSE Leap 15.1 / Plasma 5.12



  4. #4

    Default Re: kget error in plasma 5.7.95

    On Mon, 03 Oct 2016 12:26:01 GMT
    farcusnz <farcusnz@no-mx.forums.microfocus.com> wrote:

    > anybody else see this?


    Yes, I get the same message when starting from the console. However,
    starting from the menu is slightly different to what happened for you in
    that kget starts and does not crash, as the program is still
    showing on the Ksysguard process table. However, there is no kget
    display to be seen nor anything in the systray.

    Could the difference be down to me using Qt 5.7? That seems to have
    solved some problems I had with Plasma 5.7.95 when using Qt 5.6.

    --
    Graham Davis, Bracknell, Berks., UK.
    openSUSE 42.1; KDE Plasma 5.7.95; Qt 5.7.0; Kernel 4.7.6;
    AMD Phenom II X2 550 Processor; Sound: ATI SBx00 Azalia (Intel HDA);
    Video: nVidia GeForce 210 (Driver: nouveau)


  5. #5
    Join Date
    Jun 2008
    Location
    NZ
    Posts
    1,546

    Default Re: kget error in plasma 5.7.95

    the problem persists in 5.8 release
    The solution in the final post in this thread solves the problem for me - despite kget being a plasma 5 app (?)
    Mark F.
    openSUSE Leap 15.1 / Plasma 5.12



  6. #6

    Default Re: kget error in plasma 5.7.95

    Quote Originally Posted by farcusnz View Post
    the problem persists in 5.8 release
    The solution in the final post in this thread solves the problem for me - despite kget being a plasma 5 app (?)
    No, kget is no "plasma 5 app".
    A Frameworks5 port hasn't been released yet.

    The messages look harmless though.

    But it has happened to me too already (on 13.2/KDE4) that kget didn't start anymore.
    Sometimes the download database/history seems to get corrupted and causes a crash.
    It's stored in ~/.kde4/share/apps/kget/, deleting it should fix the problem.

    Totally unrelated to Plasma though.

  7. #7

    Default AW: Re: kget error in plasma 5.7.95

    Quote Originally Posted by Cloddy View Post
    Could the difference be down to me using Qt 5.7? That seems to have
    solved some problems I had with Plasma 5.7.95 when using Qt 5.6.
    No.
    kget doesn't use Qt5 at all, it's a KDE4/Qt4 application.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •